# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
#    Copyright (C) 2012 Mentis d.o.o.
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import fields, osv
import decimal_precision as dp

class stock_picking(osv.osv):
    _inherit = "stock.picking"

    def action_done(self, cr, uid, ids, context=None):
        _process = False
        pickings = self.browse(cr, uid, ids, context=context)
        for picking in pickings:
            if picking.type == 'out':
                picking_vals = {}
                picking_vals['type'] = 'internal'
                picking_vals['date']= picking.date
                picking_vals['partner_id'] = 1
                picking_obj = self.pool.get('stock.picking')
                picking_id = picking_obj.create(cr, uid, picking_vals, context=None)
                picking_obj.write(cr, uid, [picking_id], picking_vals)
                                
                for line in picking.move_lines:
                    move_vals = {}
                    move_vals['picking_id'] = picking_id
                    move_vals['product_id'] = line.product_id.id
                    move_vals['product_qty'] = line.product_qty_returned
                    move_vals['product_uom'] = line.product_uom.id
                    move_vals['location_id'] = line.location_id.id
                    move_vals['name'] = line.name
                    move_vals['location_dest_id'] = 13
                    
                    move_obj = self.pool.get('stock.move')
                    move_id = move_obj.create(cr, uid, move_vals, context=None)
                    move_obj.write(cr, uid, [move_id], move_vals)
                
                picking_obj.action_confirm(cr, uid, [picking_id], context)
        
        return super(stock_picking, self).action_done(cr, uid, ids, context)
    
stock_picking()    

class stock_picking_out(osv.osv):
    _inherit = "stock.picking.out"

    def action_partial_return(self, cr, uid, ids, context=None):
        if context is None:
            context = {}
        """Open the partial return wizard"""
        context.update({
            'active_model': self._name,
            'active_ids': ids,
            'active_id': len(ids) and ids[0] or False
        })
        return {
            'view_type': 'form',
            'view_mode': 'form',
            'res_model': 'stock.partial.return',
            'type': 'ir.actions.act_window',
            'target': 'new',
            'context': context,
            'nodestroy': True,
        }

stock_picking_out()

#vals['location_dest_id'] = 13
